<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HeartbleedOptions](./bitburner.heartbleedoptions.md)

## HeartbleedOptions interface

Options to change the behavior of [heartbleed](./bitburner.darknet.heartbleed.md) API.

**Signature:**

```typescript
interface HeartbleedOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[additionalMsec?](./bitburner.heartbleedoptions.additionalmsec.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ The number of additional milliseconds to add to the run time of the heartbleed request. Default is 0. Must be a non-negative integer.


</td></tr>
<tr><td>

[logsToCapture?](./bitburner.heartbleedoptions.logstocapture.md)


</td><td>


</td><td>

number


</td><td>

_(Optional)_ The number of log lines to remove from the server. Default is 1. Must be a positive integer.


</td></tr>
<tr><td>

[peek?](./bitburner.heartbleedoptions.peek.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ If true, looks at the most recent log lines but does not remove them. Default is false.


</td></tr>
</tbody></table>

